Subject: bug#44804: 28.0.50; loading EBDB using use-package is throwing error

From: Eric Abrahamsen <[email-masked]>
Date: Sun, 22 Nov 2020 11:21:01 -0800

Pankaj Jangid <[email-masked]> writes:

> Here is the error message, when I load ebdb using use-package
>
> Error (use-package): Failed to parse package ebdb: Wrong type argument:
> listp, require Disable showing Disable logging
>
> My configuration is:
>
> (use-package ebdb
>   :ensure t
>   :config
>   (setq ebdb-mua-pop-up nil)
>   :hook
>   (emacs-startup . (progn
> 		     (require 'ebdb-gnus)
> 		     (require 'ebdb-message))))

I've never used use-package so I'm not sure how much help I'm going to
be here. But looking at its documentation, I wonder if it wouldn't make
more sense to do this:

(use-package ebdb-gnus
	     :ensure t
	     :config
	     (setq ebdb-mua-pop-up nil)
	     :hook gnus-startup)

(use-package ebdb-message
	     :ensure t
	     :hook gnus-startup)

EBDB is set up to load everything you need if you just require the
relevant MUA packages, so this should do it. All other likely entry
points to EBDB should be autoloaded already. I don't know what :ensure
does, but I left it in there.

Try that and see if it works correctly?

Having these statements on the `emacs-startup-hook' seems like you're
not gaining anything by using use-package. You might as well just
(require 'ebdb-gnus) at the top-level of your init.

HTH,
Eric